The API reference moved here from eksis.io/developers.
Media

Read one file

GET
/v1/media/{mediaId}

One file in any status, including an upload that has not been completed yet.

Authorization

headerAuthorizationBearer <token>

Send your key as Authorization: Bearer eksis_sk_....

Path Parameters

mediaId*string

Response Body

The file.

application/json
  1. response
data?
curl -X GET 'https://api.eksis.io/v1/media/string' \  -H 'Authorization: Bearer eksis_sk_...'
{  "data": {    "id": "string",    "filename": "string",    "url": "http://example.com",    "kind": "image",    "mime": "string",    "size": 0,    "width": 0,    "height": 0,    "durationMs": 0,    "status": "uploading",    "createdAt": "2019-08-24T14:15:22Z"  }}